Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.certra.core.v2
Class OrganizationType

    java.lang.Object
      be.fgov.ehealth.certra.core.v2.OrganizationType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-09-20T05:23:59+02:00",
               comments="JAXB RI v2.2.11")
    public class OrganizationType

extends Object
implements Serializable

Describes an organization. Organizations are uniquely identified by their identifier and have a name in at least one language.

Java class for OrganizationType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="OrganizationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Name" type="{urn:be:fgov:ehealth:certra:core:v2}TextType"/>
             <element name="Identifier" type="{urn:be:fgov:ehealth:commons:core:v2}IdType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`OrganizationType()`

Method Summary
`Id` | `getIdentifier()` Gets the value of the identifier property.
`TextType` | `getName()` Gets the value of the name property.
`void` | `setIdentifier(Id value)` Sets the value of the identifier property.
`void` | `setName(TextType value)` Sets the value of the name property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrganizationType

    public OrganizationType()

Method Detail

### getName

    public TextType getName()

  Gets the value of the name property.

  Returns:
    possible object is `TextType`

### setName

    public void setName(TextType value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `TextType`

### getIdentifier

    public Id getIdentifier()

  Gets the value of the identifier property.

  Returns:
    possible object is `Id`

### setIdentifier

    public void setIdentifier(Id value)

  Sets the value of the identifier property.

  Parameters:
    `value` - allowed object is `Id`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.